OpenGLRaw-3.3.4.1: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2019
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.GL.ARB.ClipControl

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetARBClipControl :: MonadIO m => m Bool
- gl_ARB_clip_control :: Bool
- pattern GL_CLIP_DEPTH_MODE :: GLenum
- pattern GL_CLIP_ORIGIN :: GLenum
- pattern GL_LOWER_LEFT :: GLenum
- pattern GL_NEGATIVE_ONE_TO_ONE :: GLenum
- pattern GL_UPPER_LEFT :: GLenum
- pattern GL_ZERO_TO_ONE :: GLenum
- glClipControl :: MonadIO m => GLenum -> GLenum -> m ()

# Extension Support

glGetARBClipControl :: MonadIO m => m Bool Source #

Is the ARB_clip_control extension supported?

gl_ARB_clip_control :: Bool Source #

Is the ARB_clip_control extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetARBClipControl` in those cases instead.

# Enums

pattern GL_CLIP_DEPTH_MODE :: GLenum Source #

pattern GL_CLIP_ORIGIN :: GLenum Source #

pattern GL_LOWER_LEFT :: GLenum Source #

pattern GL_NEGATIVE_ONE_TO_ONE :: GLenum Source #

pattern GL_UPPER_LEFT :: GLenum Source #

pattern GL_ZERO_TO_ONE :: GLenum Source #

# Functions

glClipControl Source #

Arguments

:: MonadIO m |
=> GLenum | `origin` of type ClipControlOrigin.
-> GLenum | `depth` of type ClipControlDepth.
-> m () |

Manual page for OpenGL 4.x.